document.addEventListener('DOMContentLoaded', () => {
  // Mobile menu toggle
  const mobileMenu = document.querySelector('.mobile-menu');
  const navLinks = document.querySelector('.nav-links');
  
  mobileMenu.addEventListener('click', () => {
    navLinks.style.display = navLinks.style.display === 'flex' ? 'none' : 'flex';
  });

  // Smooth scroll for navigation links
  document.querySelectorAll('a[href^="#"]').forEach(anchor => {
    anchor.addEventListener('click', function (e) {
      e.preventDefault();
      document.querySelector(this.getAttribute('href')).scrollIntoView({
        behavior: 'smooth'
      });
    });
  });

  // Contact form handling
  const contactForm = document.getElementById('contact-form');
  contactForm.addEventListener('submit', (e) => {
    e.preventDefault();
    // Add form submission logic here
    alert('Thank you for your message! We will get back to you soon.');
    contactForm.reset();
  });

  // Fountain animation
  const fountains = document.querySelectorAll('.fountain-animation');
  fountains.forEach(fountain => {
    setInterval(() => {
      const drop = document.createElement('div');
      drop.style.position = 'absolute';
      drop.style.width = '4px';
      drop.style.height = '4px';
      drop.style.background = 'rgba(255,255,255,0.7)';
      drop.style.borderRadius = '50%';
      drop.style.left = Math.random() * 100 + '%';
      drop.style.animation = 'dropFall 1.5s linear';
      fountain.appendChild(drop);
      
      setTimeout(() => {
        drop.remove();
      }, 1500);
    }, 100);
  });
});

// Add keyframe animation for water drops
const style = document.createElement('style');
style.textContent = `
  @keyframes dropFall {
    0% {
      transform: translateY(0) scale(1);
      opacity: 1;
    }
    100% {
      transform: translateY(200px) scale(0);
      opacity: 0;
    }
  }
`;
document.head.appendChild(style);
